#
#	Makefile,v 1.12 1994/02/09 22:45:39 jch Exp
#
# Gated Release 3.5
# Copyright (c) 1990,1991,1992,1993,1994,1995 by Cornell University.  All
# rights reserved.  Refer to Particulars and other Copyright notices at
# the end of this file. 
# 
#

ISODE_DIR	=	/vol/src/isode-7.0
RFC		=	/vol/rfc
ID		=	/home/jch/lib/script/net/IETF

MYS		=	smi.my mib.my rt.my ospf.my rip.my bgp.my gated.my isisext.myp slsp.my
DEFS		=	smi.defs mib.defs rt.defs ospf.defs rip.defs bgp.defs gated.defs isisext.defs slsp.defs
TXTS		=	gated.txt
CHECK		=	smi.chk mib.chk rt.chk ospf.chk rip.chk bgp.chk gated.chk isisext.chk slsp.chk

.SUFFIXES:	.txt .my .defs .chk .rf

.rf.txt:
	rf2txt.sh $< > $@ || rm $@

.txt.my:
	rfc2my.sh $< > $@ || rm $@

.my.defs:
	mosy -s -o - $< > $@ || rm $@

.defs.chk:
	@echo "snmpi -f " $< " quit" ;
	@cat $? > $*.tmp ; snmpi -f $*.tmp quit ; rm $*.tmp ;

all:	${DEFS}

check:	${CHECK}

clean:
	rm -f ${DEFS} ${CHECK} ${TXTS}

smi.defs:	/usr/include/isode/snmp/smi.defs
	cp -p /usr/include/isode/snmp/smi.defs $@

smi.my:		${ISODE_DIR}/snmp/smi.my
	cp -p $? $@

mib.my:		${ISODE_DIR}/snmp/mib.my
	cp -p $? $@

ospf.my:	${ISODE_DIR}/snmp/ospf.my
	cp -p $? $@

rip.my:		${RFC}/rfc1389.txt
	rfc2my.sh $? > $@

rt.my:		${RFC}/rfc1354.txt
	rfc2my.sh $? > $@

bgp.my:		${RFC}/rfc1269.txt
	rfc2my.sh $? > $@

slsp.my:	slsp.txt
	rfc2my.sh slsp.txt > $@

mib.chk:	smi.defs
ospf.chk:	smi.defs mib.defs
rip.chk:	smi.defs mib.defs
bgp.chk:	smi.defs mib.defs
rt.chk:		smi.defs mib.defs
gated.chk:	smi.defs mib.defs
isisext.chk:	smi.defs mib.defs
slsp.chk:	smi.defs mib.defs

gated.txt:	gated.rf gatedAgents.rf gatedGeneral.rf gatedConfig.rf gatedInet.rf
gated.my:	gated.txt
gated.defs:	gated.my

#
# ------------------------------------------------------------------------
# 
# 	GateD, Release 3.5
# 
# 	Copyright (c) 1990,1991,1992,1993,1994,1995 by Cornell University.
# 	    All rights reserved.
# 
# 	THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY
# 	EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT
# 	LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# 	AND FITNESS FOR A PARTICULAR PURPOSE.
# 
# 	Royalty-free licenses to redistribute GateD Release
# 	3 in whole or in part may be obtained by writing to:
# 
# 	    GateDaemon Project
# 	    Information Technologies/Network Resources
# 	    200 CCC
# 	    Cornell University
# 	    Ithaca, NY  14853-2601  USA
# 
# 	GateD is based on Kirton's EGP, UC Berkeley's routing
# 	daemon	 (routed), and DCN's HELLO routing Protocol.
# 	Development of GateD has been supported in part by the
# 	National Science Foundation.
# 
# 	Please forward bug fixes, enhancements and questions to the
# 	gated mailing list: gated-people@gated.cornell.edu.
# 
# ------------------------------------------------------------------------
# 
#       Portions of this software may fall under the following
#       copyrights:
# 
# 	Copyright (c) 1988 Regents of the University of California.
# 	All rights reserved.
# 
# 	Redistribution and use in source and binary forms are
# 	permitted provided that the above copyright notice and
# 	this paragraph are duplicated in all such forms and that
# 	any documentation, advertising materials, and other
# 	materials related to such distribution and use
# 	acknowledge that the software was developed by the
# 	University of California, Berkeley.  The name of the
# 	University may not be used to endorse or promote
# 	products derived from this software without specific
# 	prior written permission.  THIS SOFTWARE IS PROVIDED
# 	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
# 	INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# 	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
